问答社区分类: 新手基础问题HA的web页面打不开,日志看不懂

HA的web页面打不开,日志看不懂

maxin 提问于 7月 前
    2020年4月8日更新

2020-04-04 17:48:07 ERROR (MainThread) [homeassistant.setup] Error during setup of component person
Traceback (most recent call last):
File “/usr/lib/python3.7/asyncio/runners.py”, line 43, in run
return loop.run_until_complete(main)
File “/usr/lib/python3.7/asyncio/base_events.py”, line 584, in run_until_complete
return future.result()
File “/usr/local/lib/python3.7/dist-packages/homeassistant/__main__.py”, line 249, in setup_and_run_hass
safe_mode=args.safe_mode,
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 89, in async_setup_hass
await async_from_config_dict(config_dict, hass)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 132, in async_from_config_dict
await _async_set_up_integrations(hass, config)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 377, in _async_set_up_integrations
*(async_setup_component(hass, domain, config) for domain in domains_to_load)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 49, in async_setup_component
return await task # type: ignore
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 145, in _async_setup_component
hass, config, integration
File “/usr/local/lib/python3.7/dist-packages/homeassistant/config.py”, line 761, in async_process_component_config
platform = p_integration.get_platform(domain)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/loader.py”, line 275, in get_platform
f”{self.pkg_path}.{platform_name}”
File “/usr/lib/python3.7/importlib/__init__.py”, line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “<frozen importlib._bootstrap>”, line 1006, in _gcd_import
File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
File “<frozen importlib._bootstrap_external>”, line 860, in get_code
File “<frozen importlib._bootstrap_external>”, line 791, in source_to_code
File “<frozen importlib._bootstrap>”, line 219, in _call_with_frames_removed
ValueError: source code string cannot contain null bytes
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 170, in _async_setup_component
hass, processed_config
File “/usr/local/lib/python3.7/dist-packages/homeassistant/components/person/__init__.py”, line 292, in async_setup
await storage_collection.async_load()
File “/usr/local/lib/python3.7/dist-packages/homeassistant/components/person/__init__.py”, line 166, in async_load
await super().async_load()
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/collection.py”, line 170, in async_load
await self.notify_change(CHANGE_ADDED, item[CONF_ID], item)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/collection.py”, line 113, in notify_change
await listener(change_type, item_id, item)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/collection.py”, line 249, in _collection_changed
await entity_component.async_add_entities([entity]) # type: ignore
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/entity_platform.py”, line 265, in async_add_entities
await asyncio.wait(tasks)
File “/usr/lib/python3.7/asyncio/tasks.py”, line 363, in wait
return await _wait(fs, timeout, return_when, loop)
File “/usr/lib/python3.7/asyncio/tasks.py”, line 456, in _wait
await waiter
concurrent.futures._base.CancelledError
2020-04-04 17:48:07 ERROR (MainThread) [homeassistant.setup] Error during setup of component zone
Traceback (most recent call last):
File “/usr/lib/python3.7/asyncio/runners.py”, line 43, in run
return loop.run_until_complete(main)
File “/usr/lib/python3.7/asyncio/base_events.py”, line 584, in run_until_complete
return future.result()
File “/usr/local/lib/python3.7/dist-packages/homeassistant/__main__.py”, line 249, in setup_and_run_hass
safe_mode=args.safe_mode,
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 89, in async_setup_hass
await async_from_config_dict(config_dict, hass)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 132, in async_from_config_dict
await _async_set_up_integrations(hass, config)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 377, in _async_set_up_integrations
*(async_setup_component(hass, domain, config) for domain in domains_to_load)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 49, in async_setup_component
return await task # type: ignore
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 145, in _async_setup_component
hass, config, integration
File “/usr/local/lib/python3.7/dist-packages/homeassistant/config.py”, line 761, in async_process_component_config
platform = p_integration.get_platform(domain)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/loader.py”, line 275, in get_platform
f”{self.pkg_path}.{platform_name}”
File “/usr/lib/python3.7/importlib/__init__.py”, line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “<frozen importlib._bootstrap>”, line 1006, in _gcd_import
File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
File “<frozen importlib._bootstrap_external>”, line 860, in get_code
File “<frozen importlib._bootstrap_external>”, line 791, in source_to_code
File “<frozen importlib._bootstrap>”, line 219, in _call_with_frames_removed
ValueError: source code string cannot contain null bytes
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 170, in _async_setup_component
hass, processed_config
File “/usr/local/lib/python3.7/dist-packages/homeassistant/components/zone/__init__.py”, line 246, in async_setup
await component.async_add_entities([home_zone]) # type: ignore
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/entity_platform.py”, line 265, in async_add_entities
await asyncio.wait(tasks)
File “/usr/lib/python3.7/asyncio/tasks.py”, line 363, in wait
return await _wait(fs, timeout, return_when, loop)
File “/usr/lib/python3.7/asyncio/tasks.py”, line 456, in _wait
await waiter
concurrent.futures._base.CancelledError
2020-04-04 17:48:07 ERROR (MainThread) [homeassistant.setup] Error during setup of component media_player
Traceback (most recent call last):
File “/usr/lib/python3.7/asyncio/runners.py”, line 43, in run
return loop.run_until_complete(main)
File “/usr/lib/python3.7/asyncio/base_events.py”, line 584, in run_until_complete
return future.result()
File “/usr/local/lib/python3.7/dist-packages/homeassistant/__main__.py”, line 249, in setup_and_run_hass
safe_mode=args.safe_mode,
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 89, in async_setup_hass
await async_from_config_dict(config_dict, hass)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 132, in async_from_config_dict
await _async_set_up_integrations(hass, config)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 377, in _async_set_up_integrations
*(async_setup_component(hass, domain, config) for domain in domains_to_load)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 49, in async_setup_component
return await task # type: ignore
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 145, in _async_setup_component
hass, config, integration
File “/usr/local/lib/python3.7/dist-packages/homeassistant/config.py”, line 761, in async_process_component_config
platform = p_integration.get_platform(domain)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/loader.py”, line 275, in get_platform
f”{self.pkg_path}.{platform_name}”
File “/usr/lib/python3.7/importlib/__init__.py”, line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “<frozen importlib._bootstrap>”, line 1006, in _gcd_import
File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
File “<frozen importlib._bootstrap_external>”, line 860, in get_code
File “<frozen importlib._bootstrap_external>”, line 791, in source_to_code
File “<frozen importlib._bootstrap>”, line 219, in _call_with_frames_removed
ValueError: source code string cannot contain null bytes
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 170, in _async_setup_component
hass, processed_config
File “/usr/local/lib/python3.7/dist-packages/homeassistant/components/media_player/__init__.py”, line 206, in async_setup
await component.async_setup(config)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/entity_component.py”, line 126, in async_setup
await asyncio.wait(tasks)
File “/usr/lib/python3.7/asyncio/tasks.py”, line 363, in wait
return await _wait(fs, timeout, return_when, loop)
File “/usr/lib/python3.7/asyncio/tasks.py”, line 456, in _wait
await waiter
concurrent.futures._base.CancelledError
2020-04-04 17:48:07 ERROR (MainThread) [homeassistant.components.weather] Error while setting up met platform for weather
Traceback (most recent call last):
File “/usr/lib/python3.7/asyncio/runners.py”, line 43, in run
return loop.run_until_complete(main)
File “/usr/lib/python3.7/asyncio/base_events.py”, line 584, in run_until_complete
return future.result()
File “/usr/local/lib/python3.7/dist-packages/homeassistant/__main__.py”, line 249, in setup_and_run_hass
safe_mode=args.safe_mode,
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 89, in async_setup_hass
await async_from_config_dict(config_dict, hass)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 132, in async_from_config_dict
await _async_set_up_integrations(hass, config)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 377, in _async_set_up_integrations
*(async_setup_component(hass, domain, config) for domain in domains_to_load)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 49, in async_setup_component
return await task # type: ignore
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 145, in _async_setup_component
hass, config, integration
File “/usr/local/lib/python3.7/dist-packages/homeassistant/config.py”, line 761, in async_process_component_config
platform = p_integration.get_platform(domain)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/loader.py”, line 275, in get_platform
f”{self.pkg_path}.{platform_name}”
File “/usr/lib/python3.7/importlib/__init__.py”, line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “<frozen importlib._bootstrap>”, line 1006, in _gcd_import
File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
File “<frozen importlib._bootstrap_external>”, line 860, in get_code
File “<frozen importlib._bootstrap_external>”, line 791, in source_to_code
File “<frozen importlib._bootstrap>”, line 219, in _call_with_frames_removed
ValueError: source code string cannot contain null bytes
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/entity_platform.py”, line 159, in _async_setup_platform
await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
File “/usr/lib/python3.7/asyncio/tasks.py”, line 409, in wait_for
await waiter
concurrent.futures._base.CancelledError
2020-04-04 17:48:07 ERROR (MainThread) [homeassistant.components.media_player] Error while setting up vlc platform for media_player
Traceback (most recent call last):
File “/usr/lib/python3.7/asyncio/runners.py”, line 43, in run
return loop.run_until_complete(main)
File “/usr/lib/python3.7/asyncio/base_events.py”, line 584, in run_until_complete
return future.result()
File “/usr/local/lib/python3.7/dist-packages/homeassistant/__main__.py”, line 249, in setup_and_run_hass
safe_mode=args.safe_mode,
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 89, in async_setup_hass
await async_from_config_dict(config_dict, hass)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 132, in async_from_config_dict
await _async_set_up_integrations(hass, config)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/bootstrap.py”, line 377, in _async_set_up_integrations
*(async_setup_component(hass, domain, config) for domain in domains_to_load)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 49, in async_setup_component
return await task # type: ignore
File “/usr/local/lib/python3.7/dist-packages/homeassistant/setup.py”, line 145, in _async_setup_component
hass, config, integration
File “/usr/local/lib/python3.7/dist-packages/homeassistant/config.py”, line 761, in async_process_component_config
platform = p_integration.get_platform(domain)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/loader.py”, line 275, in get_platform
f”{self.pkg_path}.{platform_name}”
File “/usr/lib/python3.7/importlib/__init__.py”, line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “<frozen importlib._bootstrap>”, line 1006, in _gcd_import
File “<frozen importlib._bootstrap>”, line 983, in _find_and_load
File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked
File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked
File “<frozen importlib._bootstrap_external>”, line 724, in exec_module
File “<frozen importlib._bootstrap_external>”, line 860, in get_code
File “<frozen importlib._bootstrap_external>”, line 791, in source_to_code
File “<frozen importlib._bootstrap>”, line 219, in _call_with_frames_removed
ValueError: source code string cannot contain null bytes
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/entity_platform.py”, line 159, in _async_setup_platform
await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
File “/usr/lib/python3.7/asyncio/tasks.py”, line 409, in wait_for
await waiter
concurrent.futures._base.CancelledError
2020-04-04 17:48:07 ERROR (MainThread) [custom_components.tunnel2local] Can’t start /home/pi/bin/frpc
2020-04-04 17:48:07 ERROR (MainThread) [homeassistant.setup] Setup failed for tunnel2local: Integration failed to initialize.
2020-04-04 17:48:07 ERROR (SyncWorker_5) [concurrent.futures] exception calling callback for <Future at 0xa77c85d0 state=finished raised RuntimeError>
Traceback (most recent call last):
File “/usr/lib/python3.7/concurrent/futures/thread.py”, line 57, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/local/lib/python3.7/dist-packages/homeassistant/components/vlc/media_player.py”, line 46, in setup_platform
[VlcDevice(config.get(CONF_NAME, DEFAULT_NAME), config.get(CONF_ARGUMENTS))]
File “/usr/local/lib/python3.7/dist-packages/homeassistant/helpers/entity_platform.py”, line 213, in _schedule_add_entities
update_before_add,
File “/usr/local/lib/python3.7/dist-packages/homeassistant/util/async_.py”, line 56, in run_callback_threadsafe
loop.call_soon_threadsafe(run_callback)
File “/usr/lib/python3.7/asyncio/base_events.py”, line 733, in call_soon_threadsafe
self._check_closed()
File “/usr/lib/python3.7/asyncio/base_events.py”, line 480, in _check_closed
raise RuntimeError(‘Event loop is closed’)
RuntimeError: Event loop is closed
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/lib/python3.7/concurrent/futures/_base.py”, line 324, in _invoke_callbacks
callback(self)
File “/usr/lib/python3.7/asyncio/futures.py”, line 362, in _call_set_state
dest_loop.call_soon_threadsafe(_set_state, destination, source)
File “/usr/lib/python3.7/asyncio/base_events.py”, line 733, in call_soon_threadsafe
self._check_closed()
File “/usr/lib/python3.7/asyncio/base_events.py”, line 480, in _check_closed
raise RuntimeError(‘Event loop is closed’)
RuntimeError: Event loop is closed

1个回答


采纳

删除配置目录,重新启动试试吧
Andrew 版主 回答于 7月 前